API referenceV1Export template revision
Retrieve a list of export template revisions
An export template revision is a published version of an export template. This endpoint lists all export template revisions.
Authorization
bearerAuth AuthorizationBearer <token>
ProductsUp Keycloak JWT bearer token.
In: header
Query Parameters
fromDate?string
Only list revisions published from the provided date.
firstResult?integer
starting item
maxResults?integer
items per page
Response Body
application/json
curl -X GET "https://export-template-api.productsup.com/V1/export-template-revisions"{
"data": [
{
"exportId": 59084,
"revisionId": "01977d43-24c7-7dec-b1f5-8e0c212bc3a6"
},
{
"exportId": 59083,
"revisionId": "01977d43-24bc-7d3f-8dc4-37f67b1c7216"
}
],
"pagination": {
"firstResult": 0,
"maxResults": 500,
"count": 2,
"total": 2
}
}How is this guide?
Retrieve a list of export templates GET
An export template is a resource that holds the main information of a template for creating channels. This endpoint returns a list with export templates.
Create an export template tag POST
An export template tag is metadata of an export template. This endpoint allows the creation of an export template tag.